al_read_directory(3)

NAME

al_read_directory - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    ALLEGRO_FS_ENTRY *al_read_directory(ALLEGRO_FS_ENTRY *e)

DESCRIPTION

Reads the next directory item and returns a filesystem entry for it.

Returns NULL if there are no more entries or if an error occurs. Call al_destroy_fs_entry(3) on the returned entry when you are done with it.

This function will ignore any files or directories named . or .. which may exist on certain platforms and may signify the current and the parent directory.

SEE ALSO

al_open_directory(3), al_close_directory(3)